VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Soundex Test"
   ClientHeight    =   2115
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   11535
   LinkTopic       =   "Form1"
   ScaleHeight     =   2115
   ScaleWidth      =   11535
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox DbConnectionStringCtl 
      Height          =   315
      Left            =   1980
      TabIndex        =   1
      Top             =   840
      Width           =   9195
   End
   Begin VB.CommandButton TestCtl 
      Caption         =   "Test"
      Default         =   -1  'True
      Height          =   435
      Left            =   240
      TabIndex        =   2
      Top             =   1380
      Width           =   1635
   End
   Begin VB.ComboBox DbServerTypeCtl 
      Height          =   315
      ItemData        =   "frmMain.frx":0000
      Left            =   1980
      List            =   "frmMain.frx":000A
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   360
      Width           =   2055
   End
   Begin VB.Label Label2 
      Caption         =   "DB Connection String:"
      Height          =   315
      Left            =   240
      TabIndex        =   4
      Top             =   900
      Width           =   1755
   End
   Begin VB.Label Label1 
      Caption         =   "DB Server Type:"
      Height          =   315
      Left            =   240
      TabIndex        =   3
      Top             =   420
      Width           =   1575
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Author: Christian d'Heureuse, chdh@source-code.biz

Option Explicit

Private Sub Form_Load()
   DbServerTypeCtl.ListIndex = 1
   End Sub

' Sets a default value for the DB connection string.
Private Sub DbServerTypeCtl_Click()
   Dim i: i = DbServerTypeCtl.ListIndex
   If i = -1 Then Exit Sub
   Dim DbServerType As Integer: DbServerType = DbServerTypeCtl.ItemData(i)
   Select Case DbServerType
      Case DbServerTypeOracle:
         DbConnectionStringCtl.Text = "Provider=MSDAORA; DATA SOURCE=; User ID=UserId; PASSWORD=Password"
      Case DbServerTypeSqlServer:
         DbConnectionStringCtl.Text = "PROVIDER=SQLOLEDB; INITIAL CATALOG=master; DATA SOURCE=.; USER ID=sa; PASSWORD=Password"
      End Select
   End Sub

' Calls the TestSoundex routine with the values from the form.
Private Sub TestCtl_Click()
   Dim i: i = DbServerTypeCtl.ListIndex
   If i = -1 Then MsgBox "Select a DB server type from the list.": DbServerTypeCtl.SetFocus: Exit Sub
   Dim DbServerType As Integer: DbServerType = DbServerTypeCtl.ItemData(i)
   Dim DbConnectionString As String: DbConnectionString = DbConnectionStringCtl.Text
   TestSoundex DbServerType, DbConnectionString
   MsgBox "Test completed successfully."
   End Sub

